import request from '@/utils/request'
import { managerApi } from '@/utils/api'
export default {
  // 查询数据权限字段管理列表
  listMenuPermissionCondition: (query: any) => request.get(managerApi+'/menuPermissionCondition/data', {
    params:query
  }),

  // 查询数据权限字段管理列表
  allListMenuPermissionCondition: (query: any) => request.get(managerApi+'/menuPermissionCondition/list', {
    params:query
  }),

  // 查询数据权限字段管理详细
  getMenuPermissionCondition: (id: any) => request.get(managerApi+'/menuPermissionCondition/info?id=' + id),

  // 新增数据权限字段管理
  addMenuPermissionCondition: (data: any) => request.post(managerApi+'/menuPermissionCondition/save' , data),

  // 修改数据权限字段管理
  updateMenuPermissionCondition: (data: any) => request.post(managerApi+'/menuPermissionCondition/update', data),

  // 删除数据权限字段管理
  delMenuPermissionCondition: (ids: any) => request.get(managerApi+'/menuPermissionCondition/delete',{
    params:{
        ids:ids
    }
  }),
}