import request from '@/utils/request'
import { managerApi } from '@/utils/api'
export default {
  // 查询菜单按键列表
  listMenuButton: (query: any) => request.get(managerApi + '/menuButton/data', {
    params: query
  }),

  // 查询菜单按键详细
  getMenuButton: (id: any) => request.get(managerApi + '/menuButton/info?id=' + id),

  // 新增菜单按键
  addMenuButton: (data: any) => request.post(managerApi + '/menuButton/save', data),

  // 修改菜单按键
  updateMenuButton: (data: any) => request.post(managerApi + '/menuButton/update', data),

  // 删除菜单按键
  delMenuButton: (data: any) => request.get(managerApi + '/menuButton/delete', {
    params: data
  }),

   //查看方案列表
   findCommonSolutionsList: (data: any) => request.get(managerApi + '/menuButton/findCommonSolutionsList', {
    params: data
  }),

  //保存方案
  saveByCommonSolutions: (data: any) => request.post(managerApi + '/menuButton/saveByCommonSolutions', data),
}