import request from '@/utils/request'
import { managerApi } from '@/utils/api'
export default {
  // 查询菜单列表字段权限配置列表
  listMenuColumn: (query: any) => request.get(managerApi + '/menuColumn/data', {
    params: query
  }),

  // 查询菜单列表字段权限配置详细
  getMenuColumn: (data: any) => request.get(managerApi + '/menuColumn/info',{
    params:data
  }),

  // 新增菜单列表字段权限配置
  addMenuColumn: (data: any) => request.post(managerApi + '/menuColumn/save', data),

  // 修改菜单列表字段权限配置
  updateMenuColumn: (data: any) => request.post(managerApi + '/menuColumn/update', data),

  // 删除菜单列表字段权限配置
  delMenuColumn: (data: any) => request.get(managerApi + '/menuColumn/delete', {
    params: data
  }),
}