import request from '@/utils/request'
import { managerApi } from '@/utils/api'
export default {
  // 查询菜单表单字段配置列表
  listMenuForm: (query: any) => request.get(managerApi + '/menuForm/data', {
    params: query
  }),

  // 查询菜单表单字段配置详细
  getMenuForm: (data:any) => request.get(managerApi + '/menuForm/info',{
    params:data
  }),

  // 新增菜单表单字段配置
  addMenuForm: (data: any) => request.post(managerApi + '/menuForm/save', data),

  // 修改菜单表单字段配置
  updateMenuForm: (data: any) => request.post(managerApi + '/menuForm/update', data),

  // 删除菜单表单字段配置
  delMenuForm: (data: any) => request.get(managerApi + '/menuForm/delete', {
    params: data
  }),
}