import request from '@/utils/request'
import { managerApi } from '@/utils/api'
export default {
  // 查询数据权限方案列表
  listMenuPermission: (query: any) => request.get(managerApi + '/menuPermission/data', {
    params: query
  }),

  // 查询数据权限方案详细
  getMenuPermission: (id: any) => request.get(managerApi + '/menuPermission/info?id=' + id),

  // 新增数据权限方案
  addMenuPermission: (data: any) => request.post(managerApi + '/menuPermission/save', data),

  // 修改数据权限方案
  updateMenuPermission: (data: any) => request.post(managerApi + '/menuPermission/update', data),

  // 删除数据权限方案
  delMenuPermission: (data: any) => request.get(managerApi + '/menuPermission/delete', {
    params: data
  }),


  //查看方案列表
  findCommonSolutionsList: (data: any) => request.get(managerApi + '/menuPermission/findCommonSolutionsList', {
    params: data
  }),

  //保存方案
  saveByCommonSolutions: (data: any) => request.post(managerApi + '/menuPermission/saveByCommonSolutions', data),
  

  //获取数据链接
  getMenuPermissionData: (data: any) => request.get(managerApi + '/menuPermission/getMenuPermissionData', {
    params: data
  }),
  //保存数据链接
  saveMenuPermissionData: (data: any) => request.post(managerApi + '/menuPermission/saveMenuPermissionData', data),
  
}